<div class="svg-scroll-nav" id="component-{{post.id}}">
	<div class="item w-100 pos-relative">
		<div class="js-sticky-top h-12 w-100 overflow-hidden z-5" style="max-height: 100%;">
			<div class="pos-relative h-100 w-100 svg-container"></div>
		</div>
	</div>
</div>
<style>
	.svg-wrapper{
		transition: all 1s ease-in-out;
	}
	body.rtl svg text{
		text-anchor: end;
	}
</style>
<script type="text/javascript" src="{{DIRURL}}js/svg-scroll-nav.js"></script>
<script>
	const initComponent{{post.id}}= function(){
		jQuery('#component-{{post.id}}').scrollNav({
			svg:{
				md: '{{post.svg-md|media_url}}',
				sm: '{{post.svg-sm|media_url}}'
			},
			animations:{
				md:{{post.animations-md}},
				sm:{{post.animations-sm}}
			},
			steps:{
				md:{{post.steps-md}},
				sm: {{post.steps-sm}}
			},
			height:{
				md:'{{post.height-md}}',
				sm:'{{post.height-sm}}'
			}
		});

	}
	jQuery(document).ready(initComponent{{post.id}});
</script>